#!/bin/bash
PATH=/usr/bin:/bin

log_file=/opt/apps/com.brocadesoft.ruiyin/files/logs/onetimestart.log

echo `date` >> $log_file

XUSERS=($(who|grep -E "\(:[0-9](\.[0-9])*\)"|awk '{print $1$NF}'|sort -u))
echo $XUSERS >> $log_file
for XUSER in "${XUSERS[@]}"; do
    NAME=(${XUSER/(/ })
    echo $NAME >> $log_file
    DISPLAY=${NAME[1]/)/}
    echo $DISPLAY >> $log_file
    DBUS_ADDRESS=unix:path=/run/user/$(id -u ${NAME[0]})/bus
    echo $DBUS_ADDRESS >> $log_file
    echo sudo -u ${NAME[0]} DISPLAY=${DISPLAY} \
                       DBUS_SESSION_BUS_ADDRESS=${DBUS_ADDRESS} \
                       PATH=${PATH} \
                       /opt/apps/com.brocadesoft.ruiyin/files/bin/ruiyinapp >> $log_file
    sudo -u ${NAME[0]} DISPLAY=${DISPLAY} \
                       DBUS_SESSION_BUS_ADDRESS=${DBUS_ADDRESS} \
                       PATH=${PATH} \
                       /opt/apps/com.brocadesoft.ruiyin/files/bin/ruiyinapp >> $log_file 2>&1
done
